# GstRtphdrext

## GstRTPHeaderExtension

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstRTPHeaderExtension

Instance struct for a RTP Audio/Video header extension.

### Members

`parent` (GstElement) –

the parent GObject

Since : 1.20

### Class structure

#### GstRTPHeaderExtensionClass

Base class for RTP Header extensions.

##### Fields

`parent_class` (GstElementClass) –

the parent class

Since : 1.20

### GstRtp.RTPHeaderExtensionClass

Base class for RTP Header extensions.

##### Attributes

`parent_class` (Gst.ElementClass) –

the parent class

Since : 1.20

### GstRtp.RTPHeaderExtensionClass

Base class for RTP Header extensions.

##### Attributes

`parent_class` (Gst.ElementClass) –

the parent class

Since : 1.20

## GstRtp.RTPHeaderExtension

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstRtp.RTPHeaderExtension

Instance struct for a RTP Audio/Video header extension.

### Members

`parent` (Gst.Element) –

the parent GObject.Object

Since : 1.20

## GstRtp.RTPHeaderExtension

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstRtp.RTPHeaderExtension

Instance struct for a RTP Audio/Video header extension.

### Members

`parent` (Gst.Element) –

the parent GObject.Object

Since : 1.20

### Methods

#### gst_rtp_header_extension_get_direction

    GstRTPHeaderExtensionDirection
    gst_rtp_header_extension_get_direction (GstRTPHeaderExtension * ext)

Retrieve the direction

Parameters:

`ext` –

the GstRTPHeaderExtension

Returns –

The direction

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.get_direction

    function GstRtp.RTPHeaderExtension.prototype.get_direction(): {
        // javascript wrapper for 'gst_rtp_header_extension_get_direction'
    }

Retrieve the direction

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

the GstRtp.RTPHeaderExtension

Returns (GstRtp.RTPHeaderExtensionDirection) –

The direction

Since : 1.20

#### GstRtp.RTPHeaderExtension.get_direction

    def GstRtp.RTPHeaderExtension.get_direction (self):
        #python wrapper for 'gst_rtp_header_extension_get_direction'

Retrieve the direction

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

the GstRtp.RTPHeaderExtension

Returns (GstRtp.RTPHeaderExtensionDirection) –

The direction

Since : 1.20

#### gst_rtp_header_extension_get_id

    guint
    gst_rtp_header_extension_get_id (GstRTPHeaderExtension * ext)

Parameters:

`ext` –

a GstRTPHeaderExtension

Returns –

the RTP extension id configured on ext

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.get_id

    function GstRtp.RTPHeaderExtension.prototype.get_id(): {
        // javascript wrapper for 'gst_rtp_header_extension_get_id'
    }

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

Returns (Number) –

the RTP extension id configured on ext

Since : 1.20

#### GstRtp.RTPHeaderExtension.get_id

    def GstRtp.RTPHeaderExtension.get_id (self):
        #python wrapper for 'gst_rtp_header_extension_get_id'

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

Returns (int) –

the RTP extension id configured on ext

Since : 1.20

#### gst_rtp_header_extension_get_max_size

    gsize
    gst_rtp_header_extension_get_max_size (GstRTPHeaderExtension * ext,
                                           const GstBuffer * input_meta)

This is used to know how much data a certain header extension will need for both allocating the resulting data, and deciding how much payload data can be generated.

Implementations should return as accurate a value as is possible using the information given in the input buffer.

Parameters:

`ext` –

a GstRTPHeaderExtension

`input_meta` –

a GstBuffer

Returns –

the maximum size of the data written by this extension

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.get_max_size

    function GstRtp.RTPHeaderExtension.prototype.get_max_size(input_meta: Gst.Buffer): {
        // javascript wrapper for 'gst_rtp_header_extension_get_max_size'
    }

This is used to know how much data a certain header extension will need for both allocating the resulting data, and deciding how much payload data can be generated.

Implementations should return as accurate a value as is possible using the information given in the input buffer.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`input_meta` (Gst.Buffer) –

a Gst.Buffer

Returns (Number) –

the maximum size of the data written by this extension

Since : 1.20

#### GstRtp.RTPHeaderExtension.get_max_size

    def GstRtp.RTPHeaderExtension.get_max_size (self, input_meta):
        #python wrapper for 'gst_rtp_header_extension_get_max_size'

This is used to know how much data a certain header extension will need for both allocating the resulting data, and deciding how much payload data can be generated.

Implementations should return as accurate a value as is possible using the information given in the input buffer.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`input_meta` (Gst.Buffer) –

a Gst.Buffer

Returns (int) –

the maximum size of the data written by this extension

Since : 1.20

#### gst_rtp_header_extension_get_sdp_caps_field_name

    gchar *
    gst_rtp_header_extension_get_sdp_caps_field_name (GstRTPHeaderExtension * ext)

Parameters:

`ext` –

the GstRTPHeaderExtension

Returns ( [transfer: full]) –

the GstStructure field name used in SDP-like GstCaps for this ext configuration

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.get_sdp_caps_field_name

    function GstRtp.RTPHeaderExtension.prototype.get_sdp_caps_field_name(): {
        // javascript wrapper for 'gst_rtp_header_extension_get_sdp_caps_field_name'
    }

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

the GstRtp.RTPHeaderExtension

Returns (String) –

the Gst.Structure field name used in SDP-like Gst.Caps for this ext configuration

Since : 1.20

#### GstRtp.RTPHeaderExtension.get_sdp_caps_field_name

    def GstRtp.RTPHeaderExtension.get_sdp_caps_field_name (self):
        #python wrapper for 'gst_rtp_header_extension_get_sdp_caps_field_name'

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

the GstRtp.RTPHeaderExtension

Returns (str) –

the Gst.Structure field name used in SDP-like Gst.Caps for this ext configuration

Since : 1.20

#### gst_rtp_header_extension_get_supported_flags

    GstRTPHeaderExtensionFlags
    gst_rtp_header_extension_get_supported_flags (GstRTPHeaderExtension * ext)

Parameters:

`ext` –

a GstRTPHeaderExtension

Returns –

the flags supported by this instance of ext

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.get_supported_flags

    function GstRtp.RTPHeaderExtension.prototype.get_supported_flags(): {
        // javascript wrapper for 'gst_rtp_header_extension_get_supported_flags'
    }

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

Returns (GstRtp.RTPHeaderExtensionFlags) –

the flags supported by this instance of ext

Since : 1.20

#### GstRtp.RTPHeaderExtension.get_supported_flags

    def GstRtp.RTPHeaderExtension.get_supported_flags (self):
        #python wrapper for 'gst_rtp_header_extension_get_supported_flags'

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

Returns (GstRtp.RTPHeaderExtensionFlags) –

the flags supported by this instance of ext

Since : 1.20

#### gst_rtp_header_extension_get_uri

    const gchar *
    gst_rtp_header_extension_get_uri (GstRTPHeaderExtension * ext)

Parameters:

`ext` –

a GstRTPHeaderExtension

Returns ( [nullable]) –

the RTP extension URI for this object

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.get_uri

    function GstRtp.RTPHeaderExtension.prototype.get_uri(): {
        // javascript wrapper for 'gst_rtp_header_extension_get_uri'
    }

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

Returns (String) –

the RTP extension URI for this object

Since : 1.20

#### GstRtp.RTPHeaderExtension.get_uri

    def GstRtp.RTPHeaderExtension.get_uri (self):
        #python wrapper for 'gst_rtp_header_extension_get_uri'

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

Returns (str) –

the RTP extension URI for this object

Since : 1.20

#### gst_rtp_header_extension_read

    gboolean
    gst_rtp_header_extension_read (GstRTPHeaderExtension * ext,
                                   GstRTPHeaderExtensionFlags read_flags,
                                   const guint8 * data,
                                   gsize size,
                                   GstBuffer * buffer)

Read the RTP header extension from data.

Parameters:

`ext` –

a GstRTPHeaderExtension

`read_flags` –

GstRTPHeaderExtensionFlags for how the extension should be written

`data` ( [array length=size]) –

location to read the rtp header extension from

`size` –

size of data

`buffer` –

a GstBuffer to modify if necessary

Returns –

whether the extension could be read from data

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.read

    function GstRtp.RTPHeaderExtension.prototype.read(read_flags: GstRtp.RTPHeaderExtensionFlags, data: [ Number ], size: Number, buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_rtp_header_extension_read'
    }

Read the RTP header extension from data.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`read_flags` (GstRtp.RTPHeaderExtensionFlags) –

GstRtp.RTPHeaderExtensionFlags for how the extension should be written

`data` ([ Number ]) –

location to read the rtp header extension from

`size` (Number) –

size of data

`buffer` (Gst.Buffer) –

a Gst.Buffer to modify if necessary

Returns (Number) –

whether the extension could be read from data

Since : 1.20

#### GstRtp.RTPHeaderExtension.read

    def GstRtp.RTPHeaderExtension.read (self, read_flags, data, size, buffer):
        #python wrapper for 'gst_rtp_header_extension_read'

Read the RTP header extension from data.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`read_flags` (GstRtp.RTPHeaderExtensionFlags) –

GstRtp.RTPHeaderExtensionFlags for how the extension should be written

`data` ([ int ]) –

location to read the rtp header extension from

`size` (int) –

size of data

`buffer` (Gst.Buffer) –

a Gst.Buffer to modify if necessary

Returns (bool) –

whether the extension could be read from data

Since : 1.20

#### gst_rtp_header_extension_set_attributes_from_caps

    gboolean
    gst_rtp_header_extension_set_attributes_from_caps (GstRTPHeaderExtension * ext,
                                                       const GstCaps * caps)

gst_rtp_header_extension_set_id must have been called with a valid extension id that is contained in these caps.

The only current known caps format is based on the SDP standard as produced by gst_sdp_media_attributes_to_caps.

Parameters:

`ext` –

a GstRTPHeaderExtension

`caps` –

the GstCaps to configure this extension with

Returns –

whether the caps could be successfully set on ext.

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.set_attributes_from_caps

    function GstRtp.RTPHeaderExtension.prototype.set_attributes_from_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_rtp_header_extension_set_attributes_from_caps'
    }

GstRtp.RTPHeaderExtension.prototype.set_id must have been called with a valid extension id that is contained in these caps.

The only current known caps format is based on the SDP standard as produced by GstSdp.SDPMedia.prototype.attributes_to_caps.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`caps` (Gst.Caps) –

the Gst.Caps to configure this extension with

Returns (Number) –

whether the caps could be successfully set on ext.

Since : 1.20

#### GstRtp.RTPHeaderExtension.set_attributes_from_caps

    def GstRtp.RTPHeaderExtension.set_attributes_from_caps (self, caps):
        #python wrapper for 'gst_rtp_header_extension_set_attributes_from_caps'

GstRtp.RTPHeaderExtension.set_id must have been called with a valid extension id that is contained in these caps.

The only current known caps format is based on the SDP standard as produced by GstSdp.SDPMedia.attributes_to_caps.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`caps` (Gst.Caps) –

the Gst.Caps to configure this extension with

Returns (bool) –

whether the caps could be successfully set on ext.

Since : 1.20

#### gst_rtp_header_extension_set_caps_from_attributes

    gboolean
    gst_rtp_header_extension_set_caps_from_attributes (GstRTPHeaderExtension * ext,
                                                       GstCaps * caps)

gst_rtp_header_extension_set_id must have been called with a valid extension id that is contained in these caps.

The only current known caps format is based on the SDP standard as produced by gst_sdp_media_attributes_to_caps.

Parameters:

`ext` –

a GstRTPHeaderExtension

`caps` –

writable GstCaps to modify

Returns –

whether the configured attributes on ext can successfully be set on caps

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.set_caps_from_attributes

    function GstRtp.RTPHeaderExtension.prototype.set_caps_from_attributes(caps: Gst.Caps): {
        // javascript wrapper for 'gst_rtp_header_extension_set_caps_from_attributes'
    }

GstRtp.RTPHeaderExtension.prototype.set_id must have been called with a valid extension id that is contained in these caps.

The only current known caps format is based on the SDP standard as produced by GstSdp.SDPMedia.prototype.attributes_to_caps.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`caps` (Gst.Caps) –

writable Gst.Caps to modify

Returns (Number) –

whether the configured attributes on ext can successfully be set on caps

Since : 1.20

#### GstRtp.RTPHeaderExtension.set_caps_from_attributes

    def GstRtp.RTPHeaderExtension.set_caps_from_attributes (self, caps):
        #python wrapper for 'gst_rtp_header_extension_set_caps_from_attributes'

GstRtp.RTPHeaderExtension.set_id must have been called with a valid extension id that is contained in these caps.

The only current known caps format is based on the SDP standard as produced by GstSdp.SDPMedia.attributes_to_caps.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`caps` (Gst.Caps) –

writable Gst.Caps to modify

Returns (bool) –

whether the configured attributes on ext can successfully be set on caps

Since : 1.20

#### gst_rtp_header_extension_set_caps_from_attributes_helper

    gboolean
    gst_rtp_header_extension_set_caps_from_attributes_helper (GstRTPHeaderExtension * ext,
                                                              GstCaps * caps,
                                                              const gchar * attributes)

Helper implementation for GstRTPExtensionClass::set_caps_from_attributes that sets the ext uri on caps with the specified extension id as required for sdp GstCaps.

Requires that the extension does not have any attributes or direction advertised in caps.

Parameters:

`ext` –

the GstRTPHeaderExtension

`caps` –

GstCaps to write fields into

`attributes` –
No description available
Returns –

whether the ext attributes could be set on caps.

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.set_caps_from_attributes_helper

    function GstRtp.RTPHeaderExtension.prototype.set_caps_from_attributes_helper(caps: Gst.Caps, attributes: String): {
        // javascript wrapper for 'gst_rtp_header_extension_set_caps_from_attributes_helper'
    }

Helper implementation for GstRTPExtensionClass::set_caps_from_attributes that sets the ext uri on caps with the specified extension id as required for sdp Gst.Caps.

Requires that the extension does not have any attributes or direction advertised in caps.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

the GstRtp.RTPHeaderExtension

`caps` (Gst.Caps) –

Gst.Caps to write fields into

`attributes` (String) –
No description available
Returns (Number) –

whether the ext attributes could be set on caps.

Since : 1.20

#### GstRtp.RTPHeaderExtension.set_caps_from_attributes_helper

    def GstRtp.RTPHeaderExtension.set_caps_from_attributes_helper (self, caps, attributes):
        #python wrapper for 'gst_rtp_header_extension_set_caps_from_attributes_helper'

Helper implementation for GstRTPExtensionClass::set_caps_from_attributes that sets the ext uri on caps with the specified extension id as required for sdp Gst.Caps.

Requires that the extension does not have any attributes or direction advertised in caps.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

the GstRtp.RTPHeaderExtension

`caps` (Gst.Caps) –

Gst.Caps to write fields into

`attributes` (str) –
No description available
Returns (bool) –

whether the ext attributes could be set on caps.

Since : 1.20

#### gst_rtp_header_extension_set_direction

    gst_rtp_header_extension_set_direction (GstRTPHeaderExtension * ext,
                                            GstRTPHeaderExtensionDirection direction)

Set the direction that this header extension should be used in. If GST_RTP_HEADER_EXTENSION_DIRECTION_INHERITED is included, the direction will not be included in the caps (as it shouldn't be in the extmap line in the SDP).

Parameters:

`ext` –

the GstRTPHeaderExtension

`direction` –

The direction

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.set_direction

    function GstRtp.RTPHeaderExtension.prototype.set_direction(direction: GstRtp.RTPHeaderExtensionDirection): {
        // javascript wrapper for 'gst_rtp_header_extension_set_direction'
    }

Set the direction that this header extension should be used in. If GstRtp.RTPHeaderExtensionDirection.INHERITED is included, the direction will not be included in the caps (as it shouldn't be in the extmap line in the SDP).

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

the GstRtp.RTPHeaderExtension

`direction` (GstRtp.RTPHeaderExtensionDirection) –

The direction

Since : 1.20

#### GstRtp.RTPHeaderExtension.set_direction

    def GstRtp.RTPHeaderExtension.set_direction (self, direction):
        #python wrapper for 'gst_rtp_header_extension_set_direction'

Set the direction that this header extension should be used in. If GstRtp.RTPHeaderExtensionDirection.INHERITED is included, the direction will not be included in the caps (as it shouldn't be in the extmap line in the SDP).

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

the GstRtp.RTPHeaderExtension

`direction` (GstRtp.RTPHeaderExtensionDirection) –

The direction

Since : 1.20

#### gst_rtp_header_extension_set_id

    gst_rtp_header_extension_set_id (GstRTPHeaderExtension * ext,
                                     guint ext_id)

sets the RTP extension id on ext

Parameters:

`ext` –

a GstRTPHeaderExtension

`ext_id` –

The id of this extension

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.set_id

    function GstRtp.RTPHeaderExtension.prototype.set_id(ext_id: Number): {
        // javascript wrapper for 'gst_rtp_header_extension_set_id'
    }

sets the RTP extension id on ext

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`ext_id` (Number) –

The id of this extension

Since : 1.20

#### GstRtp.RTPHeaderExtension.set_id

    def GstRtp.RTPHeaderExtension.set_id (self, ext_id):
        #python wrapper for 'gst_rtp_header_extension_set_id'

sets the RTP extension id on ext

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`ext_id` (int) –

The id of this extension

Since : 1.20

#### gst_rtp_header_extension_set_non_rtp_sink_caps

    gboolean
    gst_rtp_header_extension_set_non_rtp_sink_caps (GstRTPHeaderExtension * ext,
                                                    const GstCaps * caps)

Passes RTP payloader's sink (i.e. not payloaded) caps to the header extension.

Parameters:

`ext` –

a GstRTPHeaderExtension

`caps` –

sink GstCaps

Returns –

Whether caps could be read successfully

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.set_non_rtp_sink_caps

    function GstRtp.RTPHeaderExtension.prototype.set_non_rtp_sink_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_rtp_header_extension_set_non_rtp_sink_caps'
    }

Passes RTP payloader's sink (i.e. not payloaded) caps to the header extension.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`caps` (Gst.Caps) –

sink Gst.Caps

Returns (Number) –

Whether caps could be read successfully

Since : 1.20

#### GstRtp.RTPHeaderExtension.set_non_rtp_sink_caps

    def GstRtp.RTPHeaderExtension.set_non_rtp_sink_caps (self, caps):
        #python wrapper for 'gst_rtp_header_extension_set_non_rtp_sink_caps'

Passes RTP payloader's sink (i.e. not payloaded) caps to the header extension.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`caps` (Gst.Caps) –

sink Gst.Caps

Returns (bool) –

Whether caps could be read successfully

Since : 1.20

#### gst_rtp_header_extension_set_wants_update_non_rtp_src_caps

    gst_rtp_header_extension_set_wants_update_non_rtp_src_caps (GstRTPHeaderExtension * ext,
                                                                gboolean state)

Call this function in a subclass from read to tell the depayloader whether the data just parsed from RTP packet require updating its src (non-RTP) caps. If state is TRUE, GstRTPBaseDepayload will eventually invoke gst_rtp_header_extension_update_non_rtp_src_caps to have the caps update applied. Applying the update also flips the internal "wants update" flag back to FALSE.

Parameters:

`ext` –

a GstRTPHeaderExtension

`state` –

TRUE if caps update is needed

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.set_wants_update_non_rtp_src_caps

    function GstRtp.RTPHeaderExtension.prototype.set_wants_update_non_rtp_src_caps(state: Number): {
        // javascript wrapper for 'gst_rtp_header_extension_set_wants_update_non_rtp_src_caps'
    }

Call this function in a subclass from vfunc_read to tell the depayloader whether the data just parsed from RTP packet require updating its src (non-RTP) caps. If state is TRUE, GstRtp.RTPBaseDepayload will eventually invoke GstRtp.RTPHeaderExtension.prototype.update_non_rtp_src_caps to have the caps update applied. Applying the update also flips the internal "wants update" flag back to FALSE.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`state` (Number) –

TRUE if caps update is needed

Since : 1.20

#### GstRtp.RTPHeaderExtension.set_wants_update_non_rtp_src_caps

    def GstRtp.RTPHeaderExtension.set_wants_update_non_rtp_src_caps (self, state):
        #python wrapper for 'gst_rtp_header_extension_set_wants_update_non_rtp_src_caps'

Call this function in a subclass from do_read to tell the depayloader whether the data just parsed from RTP packet require updating its src (non-RTP) caps. If state is TRUE, GstRtp.RTPBaseDepayload will eventually invoke GstRtp.RTPHeaderExtension.update_non_rtp_src_caps to have the caps update applied. Applying the update also flips the internal "wants update" flag back to FALSE.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`state` (bool) –

TRUE if caps update is needed

Since : 1.20

#### gst_rtp_header_extension_update_non_rtp_src_caps

    gboolean
    gst_rtp_header_extension_update_non_rtp_src_caps (GstRTPHeaderExtension * ext,
                                                      GstCaps * caps)

Updates depayloader src caps based on the information received in RTP header. caps must be writable as this function may modify them.

Parameters:

`ext` –

a GstRTPHeaderExtension

`caps` –

src GstCaps to modify

Returns –

whether caps were modified successfully

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.update_non_rtp_src_caps

    function GstRtp.RTPHeaderExtension.prototype.update_non_rtp_src_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_rtp_header_extension_update_non_rtp_src_caps'
    }

Updates depayloader src caps based on the information received in RTP header. caps must be writable as this function may modify them.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`caps` (Gst.Caps) –

src Gst.Caps to modify

Returns (Number) –

whether caps were modified successfully

Since : 1.20

#### GstRtp.RTPHeaderExtension.update_non_rtp_src_caps

    def GstRtp.RTPHeaderExtension.update_non_rtp_src_caps (self, caps):
        #python wrapper for 'gst_rtp_header_extension_update_non_rtp_src_caps'

Updates depayloader src caps based on the information received in RTP header. caps must be writable as this function may modify them.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`caps` (Gst.Caps) –

src Gst.Caps to modify

Returns (bool) –

whether caps were modified successfully

Since : 1.20

#### gst_rtp_header_extension_wants_update_non_rtp_src_caps

    gboolean
    gst_rtp_header_extension_wants_update_non_rtp_src_caps (GstRTPHeaderExtension * ext)

Call this function after gst_rtp_header_extension_read to check if the depayloader's src caps need updating with data received in the last RTP packet.

Parameters:

`ext` –

a GstRTPHeaderExtension

Returns –

Whether ext wants to update depayloader's src caps.

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.wants_update_non_rtp_src_caps

    function GstRtp.RTPHeaderExtension.prototype.wants_update_non_rtp_src_caps(): {
        // javascript wrapper for 'gst_rtp_header_extension_wants_update_non_rtp_src_caps'
    }

Call this function after GstRtp.RTPHeaderExtension.prototype.read to check if the depayloader's src caps need updating with data received in the last RTP packet.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

Returns (Number) –

Whether ext wants to update depayloader's src caps.

Since : 1.20

#### GstRtp.RTPHeaderExtension.wants_update_non_rtp_src_caps

    def GstRtp.RTPHeaderExtension.wants_update_non_rtp_src_caps (self):
        #python wrapper for 'gst_rtp_header_extension_wants_update_non_rtp_src_caps'

Call this function after GstRtp.RTPHeaderExtension.read to check if the depayloader's src caps need updating with data received in the last RTP packet.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

Returns (bool) –

Whether ext wants to update depayloader's src caps.

Since : 1.20

#### gst_rtp_header_extension_write

    gssize
    gst_rtp_header_extension_write (GstRTPHeaderExtension * ext,
                                    const GstBuffer * input_meta,
                                    GstRTPHeaderExtensionFlags write_flags,
                                    GstBuffer * output,
                                    guint8 * data,
                                    gsize size)

Writes the RTP header extension to data using information available from the input_meta. data will be sized to be at least the value returned from gst_rtp_header_extension_get_max_size.

Parameters:

`ext` –

a GstRTPHeaderExtension

`input_meta` –

the input GstBuffer to read information from if necessary

`write_flags` –

GstRTPHeaderExtensionFlags for how the extension should be written

`output` –

output RTP GstBuffer

`data` ( [array length=size]) –

location to write the rtp header extension into

`size` –

size of data

Returns –

the size of the data written, < 0 on failure

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.write

    function GstRtp.RTPHeaderExtension.prototype.write(input_meta: Gst.Buffer, write_flags: GstRtp.RTPHeaderExtensionFlags, output: Gst.Buffer, data: [ Number ], size: Number): {
        // javascript wrapper for 'gst_rtp_header_extension_write'
    }

Writes the RTP header extension to data using information available from the input_meta. data will be sized to be at least the value returned from GstRtp.RTPHeaderExtension.prototype.get_max_size.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`input_meta` (Gst.Buffer) –

the input Gst.Buffer to read information from if necessary

`write_flags` (GstRtp.RTPHeaderExtensionFlags) –

GstRtp.RTPHeaderExtensionFlags for how the extension should be written

`output` (Gst.Buffer) –

output RTP Gst.Buffer

`data` ([ Number ]) –

location to write the rtp header extension into

`size` (Number) –

size of data

Returns (Number) –

the size of the data written, < 0 on failure

Since : 1.20

#### GstRtp.RTPHeaderExtension.write

    def GstRtp.RTPHeaderExtension.write (self, input_meta, write_flags, output, data, size):
        #python wrapper for 'gst_rtp_header_extension_write'

Writes the RTP header extension to data using information available from the input_meta. data will be sized to be at least the value returned from GstRtp.RTPHeaderExtension.get_max_size.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –

a GstRtp.RTPHeaderExtension

`input_meta` (Gst.Buffer) –

the input Gst.Buffer to read information from if necessary

`write_flags` (GstRtp.RTPHeaderExtensionFlags) –

GstRtp.RTPHeaderExtensionFlags for how the extension should be written

`output` (Gst.Buffer) –

output RTP Gst.Buffer

`data` ([ int ]) –

location to write the rtp header extension into

`size` (int) –

size of data

Returns (int) –

the size of the data written, < 0 on failure

Since : 1.20

### Class Methods

#### gst_rtp_header_extension_class_set_uri

    gst_rtp_header_extension_class_set_uri (GstRTPHeaderExtensionClass * klass,
                                            const gchar * uri)

Set the URI for this RTP header extension implementation.

Parameters:

`klass` –

the GstRTPHeaderExtensionClass

`uri` –

the RTP Header extension uri for klass

Since : 1.20

#### GstRtp.RTPHeaderExtensionClass.prototype.set_uri

    function GstRtp.RTPHeaderExtensionClass.prototype.set_uri(klass: GstRtp.RTPHeaderExtensionClass, uri: String): {
        // javascript wrapper for 'gst_rtp_header_extension_class_set_uri'
    }

Set the URI for this RTP header extension implementation.

Parameters:

`klass` (GstRtp.RTPHeaderExtensionClass) –

the GstRtp.RTPHeaderExtensionClass

`uri` (String) –

the RTP Header extension uri for klass

Since : 1.20

### Functions

#### gst_rtp_header_extension_create_from_uri

    GstRTPHeaderExtension *
    gst_rtp_header_extension_create_from_uri (const gchar * uri)

Parameters:

`uri` –

the rtp header extension URI to search for

Returns ( [transfer: full][nullable]) –

the GstRTPHeaderExtension for uri or NULL

Since : 1.20

#### GstRtp.RTPHeaderExtension.prototype.create_from_uri

    function GstRtp.RTPHeaderExtension.prototype.create_from_uri(uri: String): {
        // javascript wrapper for 'gst_rtp_header_extension_create_from_uri'
    }

Parameters:

`uri` (String) –

the rtp header extension URI to search for

Returns (GstRtp.RTPHeaderExtension) –

the GstRtp.RTPHeaderExtension for uri or null

Since : 1.20

#### GstRtp.RTPHeaderExtension.create_from_uri

    def GstRtp.RTPHeaderExtension.create_from_uri (uri):
        #python wrapper for 'gst_rtp_header_extension_create_from_uri'

Parameters:

`uri` (str) –

the rtp header extension URI to search for

Returns (GstRtp.RTPHeaderExtension) –

the GstRtp.RTPHeaderExtension for uri or None

Since : 1.20

### Virtual Methods

#### get_max_size

    gsize
    get_max_size (GstRTPHeaderExtension * ext,
                  const GstBuffer * input_meta)

retrieve the maximum size for this extension based on the information available from input_meta. Implementations should attempt to provide as accurate information as possible as the returned value will be used to control the amount of possible data in the payload. Implementations must return the maximum as the allocated size for writing the extension will be at least the size of the returned value. Return the amount of data read or <0 on failure.

Parameters:

`ext` –
No description available
`input_meta` –
No description available
Returns –
No description available

#### vfunc_get_max_size

    function vfunc_get_max_size(ext: GstRtp.RTPHeaderExtension, input_meta: Gst.Buffer): {
        // javascript implementation of the 'get_max_size' virtual method
    }

retrieve the maximum size for this extension based on the information available from input_meta. Implementations should attempt to provide as accurate information as possible as the returned value will be used to control the amount of possible data in the payload. Implementations must return the maximum as the allocated size for writing the extension will be at least the size of the returned value. Return the amount of data read or <0 on failure.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
`input_meta` (Gst.Buffer) –
No description available
Returns (Number) –
No description available

#### do_get_max_size

    def do_get_max_size (ext, input_meta):
        #python implementation of the 'get_max_size' virtual method

retrieve the maximum size for this extension based on the information available from input_meta. Implementations should attempt to provide as accurate information as possible as the returned value will be used to control the amount of possible data in the payload. Implementations must return the maximum as the allocated size for writing the extension will be at least the size of the returned value. Return the amount of data read or <0 on failure.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
`input_meta` (Gst.Buffer) –
No description available
Returns (int) –
No description available

#### get_supported_flags

    GstRTPHeaderExtensionFlags
    get_supported_flags (GstRTPHeaderExtension * ext)

retrieve the supported flags

Parameters:

`ext` –
No description available
Returns –
No description available

#### vfunc_get_supported_flags

    function vfunc_get_supported_flags(ext: GstRtp.RTPHeaderExtension): {
        // javascript implementation of the 'get_supported_flags' virtual method
    }

retrieve the supported flags

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
Returns (GstRtp.RTPHeaderExtensionFlags) –
No description available

#### do_get_supported_flags

    def do_get_supported_flags (ext):
        #python implementation of the 'get_supported_flags' virtual method

retrieve the supported flags

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
Returns (GstRtp.RTPHeaderExtensionFlags) –
No description available

#### read

    gboolean
    read (GstRTPHeaderExtension * ext,
          GstRTPHeaderExtensionFlags read_flags,
          const guint8 * data,
          gsize size,
          GstBuffer * buffer)

read from a rtp payloaded buffer and extract the extension information, optionally adding some meta onto the output buffer.

Parameters:

`ext` –
No description available
`read_flags` –
No description available
`data` –
No description available
`size` –
No description available
`buffer` –
No description available
Returns –
No description available

#### vfunc_read

    function vfunc_read(ext: GstRtp.RTPHeaderExtension, read_flags: GstRtp.RTPHeaderExtensionFlags, data: [ Number ], size: Number, buffer: Gst.Buffer): {
        // javascript implementation of the 'read' virtual method
    }

read from a rtp payloaded buffer and extract the extension information, optionally adding some meta onto the output buffer.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
`read_flags` (GstRtp.RTPHeaderExtensionFlags) –
No description available
`data` ([ Number ]) –
No description available
`size` (Number) –
No description available
`buffer` (Gst.Buffer) –
No description available
Returns (Number) –
No description available

#### do_read

    def do_read (ext, read_flags, data, size, buffer):
        #python implementation of the 'read' virtual method

read from a rtp payloaded buffer and extract the extension information, optionally adding some meta onto the output buffer.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
`read_flags` (GstRtp.RTPHeaderExtensionFlags) –
No description available
`data` ([ int ]) –
No description available
`size` (int) –
No description available
`buffer` (Gst.Buffer) –
No description available
Returns (bool) –
No description available

#### set_attributes

    gboolean
    set_attributes (GstRTPHeaderExtension * ext,
                    GstRTPHeaderExtensionDirection direction,
                    const gchar * attributes)

set the necessary attributes that may be signaled e.g. with an SDP.

Parameters:

`ext` –
No description available
`direction` –
No description available
`attributes` –
No description available
Returns –
No description available

#### vfunc_set_attributes

    function vfunc_set_attributes(ext: GstRtp.RTPHeaderExtension, direction: GstRtp.RTPHeaderExtensionDirection, attributes: String): {
        // javascript implementation of the 'set_attributes' virtual method
    }

set the necessary attributes that may be signaled e.g. with an SDP.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
`direction` (GstRtp.RTPHeaderExtensionDirection) –
No description available
`attributes` (String) –
No description available
Returns (Number) –
No description available

#### do_set_attributes

    def do_set_attributes (ext, direction, attributes):
        #python implementation of the 'set_attributes' virtual method

set the necessary attributes that may be signaled e.g. with an SDP.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
`direction` (GstRtp.RTPHeaderExtensionDirection) –
No description available
`attributes` (str) –
No description available
Returns (bool) –
No description available

#### set_caps_from_attributes

    gboolean
    set_caps_from_attributes (GstRTPHeaderExtension * ext,
                              GstCaps * caps)

write the necessary caps field/s for the configured attributes e.g. as signalled with SDP.

Parameters:

`ext` –
No description available
`caps` –
No description available
Returns –
No description available

#### vfunc_set_caps_from_attributes

    function vfunc_set_caps_from_attributes(ext: GstRtp.RTPHeaderExtension, caps: Gst.Caps): {
        // javascript implementation of the 'set_caps_from_attributes' virtual method
    }

write the necessary caps field/s for the configured attributes e.g. as signalled with SDP.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
`caps` (Gst.Caps) –
No description available
Returns (Number) –
No description available

#### do_set_caps_from_attributes

    def do_set_caps_from_attributes (ext, caps):
        #python implementation of the 'set_caps_from_attributes' virtual method

write the necessary caps field/s for the configured attributes e.g. as signalled with SDP.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
`caps` (Gst.Caps) –
No description available
Returns (bool) –
No description available

#### set_non_rtp_sink_caps

    gboolean
    set_non_rtp_sink_caps (GstRTPHeaderExtension * ext,
                           const GstCaps * caps)

read any information from sink caps that the header extension needs for its function.

Parameters:

`ext` –
No description available
`caps` –
No description available
Returns –
No description available

#### vfunc_set_non_rtp_sink_caps

    function vfunc_set_non_rtp_sink_caps(ext: GstRtp.RTPHeaderExtension, caps: Gst.Caps): {
        // javascript implementation of the 'set_non_rtp_sink_caps' virtual method
    }

read any information from sink caps that the header extension needs for its function.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
`caps` (Gst.Caps) –
No description available
Returns (Number) –
No description available

#### do_set_non_rtp_sink_caps

    def do_set_non_rtp_sink_caps (ext, caps):
        #python implementation of the 'set_non_rtp_sink_caps' virtual method

read any information from sink caps that the header extension needs for its function.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
`caps` (Gst.Caps) –
No description available
Returns (bool) –
No description available

#### update_non_rtp_src_caps

    gboolean
    update_non_rtp_src_caps (GstRTPHeaderExtension * ext,
                             GstCaps * caps)

update depayloader non-RTP (depayloaded) caps with the information parsed from RTP header.

Parameters:

`ext` –
No description available
`caps` –
No description available
Returns –
No description available

#### vfunc_update_non_rtp_src_caps

    function vfunc_update_non_rtp_src_caps(ext: GstRtp.RTPHeaderExtension, caps: Gst.Caps): {
        // javascript implementation of the 'update_non_rtp_src_caps' virtual method
    }

update depayloader non-RTP (depayloaded) caps with the information parsed from RTP header.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
`caps` (Gst.Caps) –
No description available
Returns (Number) –
No description available

#### do_update_non_rtp_src_caps

    def do_update_non_rtp_src_caps (ext, caps):
        #python implementation of the 'update_non_rtp_src_caps' virtual method

update depayloader non-RTP (depayloaded) caps with the information parsed from RTP header.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
`caps` (Gst.Caps) –
No description available
Returns (bool) –
No description available

#### write

    gssize
    write (GstRTPHeaderExtension * ext,
           const GstBuffer * input_meta,
           GstRTPHeaderExtensionFlags write_flags,
           GstBuffer * output,
           guint8 * data,
           gsize size)

write into data the information for this extension. Various information is provided to help writing extensions in particular cases.

Parameters:

`ext` –
No description available
`input_meta` –
No description available
`write_flags` –
No description available
`output` –
No description available
`data` –
No description available
`size` –
No description available
Returns –
No description available

#### vfunc_write

    function vfunc_write(ext: GstRtp.RTPHeaderExtension, input_meta: Gst.Buffer, write_flags: GstRtp.RTPHeaderExtensionFlags, output: Gst.Buffer, data: [ Number ], size: Number): {
        // javascript implementation of the 'write' virtual method
    }

write into data the information for this extension. Various information is provided to help writing extensions in particular cases.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
`input_meta` (Gst.Buffer) –
No description available
`write_flags` (GstRtp.RTPHeaderExtensionFlags) –
No description available
`output` (Gst.Buffer) –
No description available
`data` ([ Number ]) –
No description available
`size` (Number) –
No description available
Returns (Number) –
No description available

#### do_write

    def do_write (ext, input_meta, write_flags, output, data, size):
        #python implementation of the 'write' virtual method

write into data the information for this extension. Various information is provided to help writing extensions in particular cases.

Parameters:

`ext` (GstRtp.RTPHeaderExtension) –
No description available
`input_meta` (Gst.Buffer) –
No description available
`write_flags` (GstRtp.RTPHeaderExtensionFlags) –
No description available
`output` (Gst.Buffer) –
No description available
`data` ([ int ]) –
No description available
`size` (int) –
No description available
Returns (int) –
No description available

## Functions

### gst_rtp_get_header_extension_list

    GList *
    gst_rtp_get_header_extension_list ()

Retrieve all the factories of the currently registered RTP header extensions. Call gst_element_factory_create with each factory to create the associated GstRTPHeaderExtension.

Returns ( [transfer: full][element-type GstElementFactory]) –

a GList of GstElementFactory's. Use gst_plugin_feature_list_free after use

Since : 1.20

### GstRtp.prototype.rtp_get_header_extension_list

    function GstRtp.prototype.rtp_get_header_extension_list(): {
        // javascript wrapper for 'gst_rtp_get_header_extension_list'
    }

Retrieve all the factories of the currently registered RTP header extensions. Call Gst.ElementFactory.prototype.create with each factory to create the associated GstRtp.RTPHeaderExtension.

Returns ([ Gst.ElementFactory ]) –

a GLib.List of Gst.ElementFactory's. Use Gst.PluginFeature.prototype.list_free after use

Since : 1.20

### GstRtp.rtp_get_header_extension_list

    def GstRtp.rtp_get_header_extension_list ():
        #python wrapper for 'gst_rtp_get_header_extension_list'

Retrieve all the factories of the currently registered RTP header extensions. Call Gst.ElementFactory.create with each factory to create the associated GstRtp.RTPHeaderExtension.

Returns ([ Gst.ElementFactory ]) –

a GLib.List of Gst.ElementFactory's. Use Gst.PluginFeature.list_free after use

Since : 1.20

### gst_rtp_hdrext_get_ntp_56

    gboolean
    gst_rtp_hdrext_get_ntp_56 (gpointer data,
                               guint size,
                               guint64 * ntptime)

Reads the NTP time from the size NTP-56 extension bytes in data and store the result in ntptime.

Parameters:

`data` ( [array length=size][element-type guint8]) –

the data to read from

`size` –

the size of data

`ntptime` ( [out]) –

the result NTP time

Returns –

TRUE on success.

### GstRtp.prototype.rtp_hdrext_get_ntp_56

    function GstRtp.prototype.rtp_hdrext_get_ntp_56(data: [ Number ], size: Number): {
        // javascript wrapper for 'gst_rtp_hdrext_get_ntp_56'
    }

Reads the NTP time from the size NTP-56 extension bytes in data and store the result in ntptime.

Parameters:

`data` ([ Number ]) –

the data to read from

`size` (Number) –

the size of data

Returns a tuple made of:

(Number ) –

true on success.

`ntptime` (Number ) –

true on success.

### GstRtp.rtp_hdrext_get_ntp_56

    def GstRtp.rtp_hdrext_get_ntp_56 (data, size):
        #python wrapper for 'gst_rtp_hdrext_get_ntp_56'

Reads the NTP time from the size NTP-56 extension bytes in data and store the result in ntptime.

Parameters:

`data` ([ int ]) –

the data to read from

`size` (int) –

the size of data

Returns a tuple made of:

(bool ) –

True on success.

`ntptime` (int ) –

True on success.

### gst_rtp_hdrext_get_ntp_64

    gboolean
    gst_rtp_hdrext_get_ntp_64 (gpointer data,
                               guint size,
                               guint64 * ntptime)

Reads the NTP time from the size NTP-64 extension bytes in data and store the result in ntptime.

Parameters:

`data` ( [array length=size][element-type guint8]) –

the data to read from

`size` –

the size of data

`ntptime` ( [out]) –

the result NTP time

Returns –

TRUE on success.

### GstRtp.prototype.rtp_hdrext_get_ntp_64

    function GstRtp.prototype.rtp_hdrext_get_ntp_64(data: [ Number ], size: Number): {
        // javascript wrapper for 'gst_rtp_hdrext_get_ntp_64'
    }

Reads the NTP time from the size NTP-64 extension bytes in data and store the result in ntptime.

Parameters:

`data` ([ Number ]) –

the data to read from

`size` (Number) –

the size of data

Returns a tuple made of:

(Number ) –

true on success.

`ntptime` (Number ) –

true on success.

### GstRtp.rtp_hdrext_get_ntp_64

    def GstRtp.rtp_hdrext_get_ntp_64 (data, size):
        #python wrapper for 'gst_rtp_hdrext_get_ntp_64'

Reads the NTP time from the size NTP-64 extension bytes in data and store the result in ntptime.

Parameters:

`data` ([ int ]) –

the data to read from

`size` (int) –

the size of data

Returns a tuple made of:

(bool ) –

True on success.

`ntptime` (int ) –

True on success.

### gst_rtp_hdrext_set_ntp_56

    gboolean
    gst_rtp_hdrext_set_ntp_56 (gpointer data,
                               guint size,
                               guint64 ntptime)

Writes the NTP time in ntptime to the format required for the NTP-56 header extension. data must hold at least GST_RTP_HDREXT_NTP_56_SIZE bytes.

Parameters:

`data` –

the data to write to

`size` –

the size of data

`ntptime` –

the NTP time

Returns –

TRUE on success.

### GstRtp.prototype.rtp_hdrext_set_ntp_56

    function GstRtp.prototype.rtp_hdrext_set_ntp_56(data: Object, size: Number, ntptime: Number): {
        // javascript wrapper for 'gst_rtp_hdrext_set_ntp_56'
    }

Writes the NTP time in ntptime to the format required for the NTP-56 header extension. data must hold at least GstRtp.RTP_HDREXT_NTP_56_SIZE bytes.

Parameters:

`data` (Object) –

the data to write to

`size` (Number) –

the size of data

`ntptime` (Number) –

the NTP time

Returns (Number) –

true on success.

### GstRtp.rtp_hdrext_set_ntp_56

    def GstRtp.rtp_hdrext_set_ntp_56 (data, size, ntptime):
        #python wrapper for 'gst_rtp_hdrext_set_ntp_56'

Writes the NTP time in ntptime to the format required for the NTP-56 header extension. data must hold at least GstRtp.RTP_HDREXT_NTP_56_SIZE bytes.

Parameters:

`data` (object) –

the data to write to

`size` (int) –

the size of data

`ntptime` (int) –

the NTP time

Returns (bool) –

True on success.

### gst_rtp_hdrext_set_ntp_64

    gboolean
    gst_rtp_hdrext_set_ntp_64 (gpointer data,
                               guint size,
                               guint64 ntptime)

Writes the NTP time in ntptime to the format required for the NTP-64 header extension. data must hold at least GST_RTP_HDREXT_NTP_64_SIZE bytes.

Parameters:

`data` –

the data to write to

`size` –

the size of data

`ntptime` –

the NTP time

Returns –

TRUE on success.

### GstRtp.prototype.rtp_hdrext_set_ntp_64

    function GstRtp.prototype.rtp_hdrext_set_ntp_64(data: Object, size: Number, ntptime: Number): {
        // javascript wrapper for 'gst_rtp_hdrext_set_ntp_64'
    }

Writes the NTP time in ntptime to the format required for the NTP-64 header extension. data must hold at least GstRtp.RTP_HDREXT_NTP_64_SIZE bytes.

Parameters:

`data` (Object) –

the data to write to

`size` (Number) –

the size of data

`ntptime` (Number) –

the NTP time

Returns (Number) –

true on success.

### GstRtp.rtp_hdrext_set_ntp_64

    def GstRtp.rtp_hdrext_set_ntp_64 (data, size, ntptime):
        #python wrapper for 'gst_rtp_hdrext_set_ntp_64'

Writes the NTP time in ntptime to the format required for the NTP-64 header extension. data must hold at least GstRtp.RTP_HDREXT_NTP_64_SIZE bytes.

Parameters:

`data` (object) –

the data to write to

`size` (int) –

the size of data

`ntptime` (int) –

the NTP time

Returns (bool) –

True on success.

## Function Macros

### GST_RTP_HEADER_EXTENSION_CAST

    #define GST_RTP_HEADER_EXTENSION_CAST(obj) ((GstRTPHeaderExtension *)(obj))

Since : 1.20

## Enumerations

### GstRTPHeaderExtensionDirection

Direction to which to apply the RTP Header Extension

##### Members

`GST_RTP_HEADER_EXTENSION_DIRECTION_INACTIVE` (0) –

Neither send nor receive RTP Header Extensions

`GST_RTP_HEADER_EXTENSION_DIRECTION_SENDONLY` (1) –

Only send RTP Header Extensions GST_RTP_HEADER_EXTENSION_DIRECTION_RECVONLY: Only receive RTP Header Extensions

`GST_RTP_HEADER_EXTENSION_DIRECTION_RECVONLY` (2) –
No description available
`GST_RTP_HEADER_EXTENSION_DIRECTION_SENDRECV` (3) –

Send and receive RTP Header Extensions ext

`GST_RTP_HEADER_EXTENSION_DIRECTION_INHERITED` (4) –

RTP header extension direction is inherited from the stream

Since : 1.20

### GstRtp.RTPHeaderExtensionDirection

Direction to which to apply the RTP Header Extension

##### Members

`GstRtp.RTPHeaderExtensionDirection.INACTIVE` (0) –

Neither send nor receive RTP Header Extensions

`GstRtp.RTPHeaderExtensionDirection.SENDONLY` (1) –

Only send RTP Header Extensions GST_RTP_HEADER_EXTENSION_DIRECTION_RECVONLY: Only receive RTP Header Extensions

`GstRtp.RTPHeaderExtensionDirection.RECVONLY` (2) –
No description available
`GstRtp.RTPHeaderExtensionDirection.SENDRECV` (3) –

Send and receive RTP Header Extensions ext

`GstRtp.RTPHeaderExtensionDirection.INHERITED` (4) –

RTP header extension direction is inherited from the stream

Since : 1.20

### GstRtp.RTPHeaderExtensionDirection

Direction to which to apply the RTP Header Extension

##### Members

`GstRtp.RTPHeaderExtensionDirection.INACTIVE` (0) –

Neither send nor receive RTP Header Extensions

`GstRtp.RTPHeaderExtensionDirection.SENDONLY` (1) –

Only send RTP Header Extensions GST_RTP_HEADER_EXTENSION_DIRECTION_RECVONLY: Only receive RTP Header Extensions

`GstRtp.RTPHeaderExtensionDirection.RECVONLY` (2) –
No description available
`GstRtp.RTPHeaderExtensionDirection.SENDRECV` (3) –

Send and receive RTP Header Extensions ext

`GstRtp.RTPHeaderExtensionDirection.INHERITED` (4) –

RTP header extension direction is inherited from the stream

Since : 1.20

### GstRTPHeaderExtensionFlags

Flags that apply to a RTP Audio/Video header extension.

##### Members

`GST_RTP_HEADER_EXTENSION_ONE_BYTE` (1) –

The one byte rtp extension header. 1-16 data bytes per extension with a maximum of 14 extension ids in total.

`GST_RTP_HEADER_EXTENSION_TWO_BYTE` (2) –

The two byte rtp extension header. 256 data bytes per extension with a maximum of 255 (or 256 including appbits) extensions in total.

Since : 1.20

### GstRtp.RTPHeaderExtensionFlags

Flags that apply to a RTP Audio/Video header extension.

##### Members

`GstRtp.RTPHeaderExtensionFlags.ONE_BYTE` (1) –

The one byte rtp extension header. 1-16 data bytes per extension with a maximum of 14 extension ids in total.

`GstRtp.RTPHeaderExtensionFlags.TWO_BYTE` (2) –

The two byte rtp extension header. 256 data bytes per extension with a maximum of 255 (or 256 including appbits) extensions in total.

Since : 1.20

### GstRtp.RTPHeaderExtensionFlags

Flags that apply to a RTP Audio/Video header extension.

##### Members

`GstRtp.RTPHeaderExtensionFlags.ONE_BYTE` (1) –

The one byte rtp extension header. 1-16 data bytes per extension with a maximum of 14 extension ids in total.

`GstRtp.RTPHeaderExtensionFlags.TWO_BYTE` (2) –

The two byte rtp extension header. 256 data bytes per extension with a maximum of 255 (or 256 including appbits) extensions in total.

Since : 1.20

## Constants

### GST_RTP_HDREXT_BASE

    #define GST_RTP_HDREXT_BASE "urn:ietf:params:rtp-hdrext:"

### GstRtp.RTP_HDREXT_BASE

### GST_RTP_HDREXT_ELEMENT_CLASS

    #define GST_RTP_HDREXT_ELEMENT_CLASS "Network/Extension/RTPHeader"

Constant string used in element classification to signal that this element is a RTP header extension.

Since : 1.20

### GstRtp.RTP_HDREXT_ELEMENT_CLASS

Constant string used in element classification to signal that this element is a RTP header extension.

Since : 1.20

### GstRtp.RTP_HDREXT_ELEMENT_CLASS

Constant string used in element classification to signal that this element is a RTP header extension.

Since : 1.20

### GST_RTP_HDREXT_NTP_56

    #define GST_RTP_HDREXT_NTP_56 "ntp-56"

### GstRtp.RTP_HDREXT_NTP_56

### GST_RTP_HDREXT_NTP_56_SIZE

    #define GST_RTP_HDREXT_NTP_56_SIZE 7

### GstRtp.RTP_HDREXT_NTP_56_SIZE

### GST_RTP_HDREXT_NTP_64

    #define GST_RTP_HDREXT_NTP_64 "ntp-64"

### GstRtp.RTP_HDREXT_NTP_64

### GST_RTP_HDREXT_NTP_64_SIZE

    #define GST_RTP_HDREXT_NTP_64_SIZE 8

### GstRtp.RTP_HDREXT_NTP_64_SIZE

### GST_RTP_HEADER_EXTENSION_URI_METADATA_KEY

    #define GST_RTP_HEADER_EXTENSION_URI_METADATA_KEY "RTP-Header-Extension-URI"

Since : 1.20

### GstRtp.RTP_HEADER_EXTENSION_URI_METADATA_KEY

Since : 1.20

### GstRtp.RTP_HEADER_EXTENSION_URI_METADATA_KEY

Since : 1.20

The results of the search are